> ## Documentation Index
> Fetch the complete documentation index at: https://docs.nordiska.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get onboarding V3

> Get card onboarding with Consumer/Business/Corporate/Supplementary types



## OpenAPI

````yaml https://partner-card.test.public.rockerapi.dev/docs/docs.yaml get /api/v3/engagements/card/onboarding/{onboarding-id}
openapi: 3.1.0
info:
  title: Card
  version: '1.0'
servers:
  - url: https://partner-card.test.public.rockerapi.dev
security: []
paths:
  /api/v3/engagements/card/onboarding/{onboarding-id}:
    get:
      tags:
        - Card
      summary: Get onboarding V3
      description: Get card onboarding with Consumer/Business/Corporate/Supplementary types
      operationId: GetCardOnboardingV3
      parameters:
        - name: onboarding-id
          in: path
          required: true
          schema:
            type: string
            format: uuid
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HttpCardOnboardingResponseV3'
        '400':
          description: 'Invalid value for: path parameter onboarding-id'
          content:
            text/plain:
              schema:
                type: string
        default:
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HttpErrorBodyResponse'
      security:
        - httpAuth: []
components:
  schemas:
    HttpCardOnboardingResponseV3:
      title: HttpCardOnboardingResponseV3
      oneOf:
        - $ref: '#/components/schemas/Business1'
        - $ref: '#/components/schemas/Consumer1'
        - $ref: '#/components/schemas/Corporate1'
        - $ref: '#/components/schemas/Supplementary1'
      discriminator:
        propertyName: onboardingType
        mapping:
          BUSINESS:
            $ref: '#/components/schemas/Business1'
          CONSUMER:
            $ref: '#/components/schemas/Consumer1'
          CORPORATE:
            $ref: '#/components/schemas/Corporate1'
          SUPPLEMENTARY:
            $ref: '#/components/schemas/Supplementary1'
    HttpErrorBodyResponse:
      title: HttpErrorBodyResponse
      type: object
      required:
        - code
        - message
      properties:
        code:
          type: string
        message:
          type: string
    Business1:
      title: Business
      type: object
      required:
        - id
        - status
        - cardType
        - applicant
        - company
        - createdAt
        - updatedAt
        - onboardingType
      properties:
        id:
          type: string
          format: uuid
        status:
          $ref: '#/components/schemas/HttpOnboardingStatus'
        additionalInformation:
          $ref: '#/components/schemas/HttpCompanyAdditionalInformationV2'
        cardType:
          $ref: '#/components/schemas/HttpCardType'
        applicant:
          $ref: '#/components/schemas/HttpApplicantResponse'
        company:
          $ref: '#/components/schemas/HttpCompanyV3'
        customerId:
          type: string
          format: uuid
        metadata:
          $ref: '#/components/schemas/Metadata'
        createdAt:
          type: string
          format: date-time
        updatedAt:
          type: string
          format: date-time
        onboardingType:
          type: string
          const: BUSINESS
    Consumer1:
      title: Consumer
      type: object
      required:
        - id
        - status
        - cardType
        - applicant
        - createdAt
        - updatedAt
        - onboardingType
      properties:
        id:
          type: string
          format: uuid
        status:
          $ref: '#/components/schemas/HttpOnboardingStatus'
        additionalInformation:
          $ref: '#/components/schemas/HttpIndividualAdditionalInformation'
        cardType:
          $ref: '#/components/schemas/HttpCardType'
        applicant:
          $ref: '#/components/schemas/HttpApplicantResponse'
        customerId:
          type: string
          format: uuid
        metadata:
          $ref: '#/components/schemas/Metadata'
        createdAt:
          type: string
          format: date-time
        updatedAt:
          type: string
          format: date-time
        onboardingType:
          type: string
          const: CONSUMER
    Corporate1:
      title: Corporate
      type: object
      required:
        - id
        - status
        - cardType
        - applicant
        - company
        - createdAt
        - updatedAt
        - onboardingType
      properties:
        id:
          type: string
          format: uuid
        status:
          $ref: '#/components/schemas/HttpOnboardingStatus'
        additionalInformation:
          $ref: '#/components/schemas/HttpCorporateAdditionalInformation'
        cardType:
          $ref: '#/components/schemas/HttpCardType'
        applicant:
          $ref: '#/components/schemas/HttpCorporateApplicantResponse'
        company:
          $ref: '#/components/schemas/HttpCorporateCompany'
        customerId:
          type: string
          format: uuid
        metadata:
          $ref: '#/components/schemas/Metadata'
        createdAt:
          type: string
          format: date-time
        updatedAt:
          type: string
          format: date-time
        onboardingType:
          type: string
          const: CORPORATE
    Supplementary1:
      title: Supplementary
      type: object
      required:
        - id
        - status
        - engagementId
        - email
        - relationship
        - createdAt
        - updatedAt
        - onboardingType
      properties:
        id:
          type: string
          format: uuid
        status:
          $ref: '#/components/schemas/HttpSupplementaryCardOnboardingStatus'
        additionalInformation:
          $ref: '#/components/schemas/HttpSupplementaryAdditionalInformation'
        engagementId:
          type: string
          format: uuid
        email:
          description: Email address
          type: string
        relationship:
          $ref: '#/components/schemas/HttpSupplementaryRelationship'
        mainAccountHolderAddress:
          $ref: '#/components/schemas/HttpAddress'
        cardholderDetails:
          $ref: '#/components/schemas/HttpSupplementaryCardholderDetails'
        createdAt:
          type: string
          format: date-time
        updatedAt:
          type: string
          format: date-time
        onboardingType:
          type: string
          const: SUPPLEMENTARY
    HttpOnboardingStatus:
      title: HttpOnboardingStatus
      type: string
      enum:
        - PROCESSING
        - AWAITING_DOCUMENTS
        - AWAITING_SIGNING
        - AWAITING_DOCUMENT_REVIEW
        - AWAITING_CARD_CREATION
        - COMPLETED
        - REJECTED
        - FAILED
    HttpCompanyAdditionalInformationV2:
      title: HttpCompanyAdditionalInformationV2
      oneOf:
        - $ref: '#/components/schemas/CompletedOnboardingInformation1'
        - $ref: '#/components/schemas/CreditInformation1'
        - $ref: '#/components/schemas/FailureInformation1'
        - $ref: '#/components/schemas/RejectInformation1'
        - $ref: '#/components/schemas/SigningInformation1'
    HttpCardType:
      title: HttpCardType
      type: string
      enum:
        - CREDIT
        - DEBIT
        - PREPAID
    HttpApplicantResponse:
      title: HttpApplicantResponse
      type: object
      required:
        - nationality
        - salutation
        - firstName
        - lastName
        - phone
        - email
        - dateOfBirth
        - placeOfBirth
        - address
        - employmentType
        - civilStatus
        - monthlyIncome
        - housing
        - locale
      properties:
        nationality:
          description: ISO 3166-1 alpha-2 country code
          type: string
        salutation:
          $ref: '#/components/schemas/HttpSalutation'
        firstName:
          type: string
        lastName:
          type: string
        phone:
          description: E.164 format.
          type: string
        verifiedPhone:
          description: E.164 format.
          type: string
        email:
          description: Email address
          type: string
        dateOfBirth:
          description: Date of birth (ISO 8601 YYYY-MM-DD)
          type: string
        placeOfBirth:
          type: string
        address:
          $ref: '#/components/schemas/HttpAddress'
        employmentType:
          $ref: '#/components/schemas/HttpEmploymentType'
        civilStatus:
          $ref: '#/components/schemas/HttpCivilStatus'
        monthlyIncome:
          $ref: '#/components/schemas/MoneyMinor'
        housing:
          $ref: '#/components/schemas/HttpHousing'
        externalCustomerId:
          type: string
        locale:
          $ref: '#/components/schemas/HttpLanguage'
          description: ISO 639-1 language code (de, en)
    HttpCompanyV3:
      title: HttpCompanyV3
      type: object
      required:
        - name
        - city
        - registrationInfo
      properties:
        name:
          type: string
        city:
          type: string
        registrationInfo:
          $ref: '#/components/schemas/HttpRegistrationInfoV2'
    Metadata:
      title: Metadata
      description: >-
        Key-value map. You can use metadata to store additional, structured
        information on an object. Max key length: 48 chars. Keys must not start
        with a digit. Max value length: 256 chars.
      type: object
      additionalProperties:
        description: Metadata value
        type: string
    HttpIndividualAdditionalInformation:
      title: HttpIndividualAdditionalInformation
      oneOf:
        - $ref: '#/components/schemas/CompletedOnboardingInformation2'
        - $ref: '#/components/schemas/CreditInformation2'
        - $ref: '#/components/schemas/FailureInformation2'
        - $ref: '#/components/schemas/RejectInformation2'
        - $ref: '#/components/schemas/SigningInformation2'
    HttpCorporateAdditionalInformation:
      title: HttpCorporateAdditionalInformation
      oneOf:
        - $ref: '#/components/schemas/CompletedOnboardingInformation3'
        - $ref: '#/components/schemas/CreditInformation3'
        - $ref: '#/components/schemas/FailureInformation3'
        - $ref: '#/components/schemas/RejectInformation3'
        - $ref: '#/components/schemas/SigningInformation3'
    HttpCorporateApplicantResponse:
      title: HttpCorporateApplicantResponse
      type: object
      required:
        - salutation
        - firstName
        - lastName
        - phone
        - email
        - dateOfBirth
        - placeOfBirth
        - locale
        - address
      properties:
        salutation:
          $ref: '#/components/schemas/HttpSalutation'
        firstName:
          type: string
        lastName:
          type: string
        phone:
          description: E.164 format.
          type: string
        verifiedPhone:
          description: E.164 format.
          type: string
        email:
          description: Email address
          type: string
        dateOfBirth:
          description: Date of birth (ISO 8601 YYYY-MM-DD)
          type: string
        placeOfBirth:
          type: string
        locale:
          $ref: '#/components/schemas/HttpLanguage'
          description: ISO 639-1 language code (de, en)
        address:
          $ref: '#/components/schemas/HttpAddress'
    HttpCorporateCompany:
      title: HttpCorporateCompany
      type: object
      required:
        - name
        - city
        - registrationNumber
        - companyType
      properties:
        name:
          type: string
        city:
          type: string
        registrationNumber:
          type: string
        companyType:
          $ref: '#/components/schemas/HttpCorporateCompanyType'
    HttpSupplementaryCardOnboardingStatus:
      title: HttpSupplementaryCardOnboardingStatus
      description: Supplementary card onboarding status
      type: string
      enum:
        - PROCESSING
        - AWAITING_SIGNING
        - AWAITING_CARDHOLDER_SIGNING
        - AWAITING_ADDITIONAL_INFO
        - AWAITING_CARD_CREATION
        - COMPLETED
        - REJECTED
        - FAILED
    HttpSupplementaryAdditionalInformation:
      title: HttpSupplementaryAdditionalInformation
      oneOf:
        - $ref: '#/components/schemas/FailureInformation4'
        - $ref: '#/components/schemas/RejectInformation4'
        - $ref: '#/components/schemas/SigningInformation4'
    HttpSupplementaryRelationship:
      title: HttpSupplementaryRelationship
      description: Relationship to the primary card holder
      type: string
      enum:
        - SPOUSE
        - ADULT_CHILD
        - PARENT
    HttpAddress:
      title: HttpAddress
      type: object
      required:
        - streetLine1
        - city
        - postalCode
        - country
      properties:
        streetLine1:
          type: string
        streetLine2:
          type: string
        city:
          type: string
        postalCode:
          type: string
        country:
          description: ISO 3166-1 alpha-2 country code
          type: string
    HttpSupplementaryCardholderDetails:
      title: HttpSupplementaryCardholderDetails
      type: object
      required:
        - salutation
        - firstName
        - lastName
        - dateOfBirth
        - placeOfBirth
        - nationality
        - phone
        - locale
      properties:
        salutation:
          $ref: '#/components/schemas/HttpSalutation'
        firstName:
          type: string
        lastName:
          type: string
        dateOfBirth:
          description: Date of birth (ISO 8601 YYYY-MM-DD)
          type: string
        placeOfBirth:
          type: string
        nationality:
          description: ISO 3166-1 alpha-2 country code
          type: string
        phone:
          description: E.164 format.
          type: string
        locale:
          $ref: '#/components/schemas/HttpLanguage'
          description: ISO 639-1 language code (de, en)
        verifiedPhone:
          description: E.164 format.
          type: string
    CompletedOnboardingInformation1:
      title: CompletedOnboardingInformation
      type: object
      required:
        - creditAssessment
        - verifiedCompany
        - engagementId
      properties:
        creditAssessment:
          $ref: '#/components/schemas/HttpCreditAssessment'
        verifiedCompany:
          $ref: '#/components/schemas/HttpVerifiedCompanyV2'
        engagementId:
          type: string
          format: uuid
    CreditInformation1:
      title: CreditInformation
      type: object
      required:
        - creditAssessment
        - verifiedCompany
      properties:
        creditAssessment:
          $ref: '#/components/schemas/HttpCreditAssessment'
        verifiedCompany:
          $ref: '#/components/schemas/HttpVerifiedCompanyV2'
    FailureInformation1:
      title: FailureInformation
      type: object
      required:
        - failureCode
      properties:
        failureCode:
          $ref: '#/components/schemas/HttpFailureCode'
    RejectInformation1:
      title: RejectInformation
      type: object
      required:
        - rejectReason
      properties:
        rejectReason:
          $ref: '#/components/schemas/HttpRejectReason'
    SigningInformation1:
      title: SigningInformation
      type: object
      required:
        - signingUrl
        - verifiedCompany
      properties:
        signingUrl:
          examples:
            - https://example.com
          type: string
        verifiedCompany:
          $ref: '#/components/schemas/HttpVerifiedCompanyV2'
    HttpSalutation:
      title: HttpSalutation
      type: string
      enum:
        - HERR
        - FRAU
        - MR
        - MRS
        - MS
        - MISS
    HttpEmploymentType:
      title: HttpEmploymentType
      type: string
      enum:
        - PERMANENT
        - SOLE_PROPRIETOR
        - RETIRED
        - STUDENT
        - HOMEMAKER
        - OTHER
    HttpCivilStatus:
      title: HttpCivilStatus
      type: string
      enum:
        - SINGLE
        - MARRIED
        - COHABITANT
        - DIVORCED
        - WIDOWED
    MoneyMinor:
      title: MoneyMinor
      description: Money object represented in the smallest currency unit
      type: object
      required:
        - amount
        - currency
        - unit
      properties:
        amount:
          type: integer
          format: int64
        currency:
          description: Currency represented with a ISO 4217 currency code
          examples:
            - EUR
          type: string
        unit:
          examples:
            - MINOR
          type: string
    HttpHousing:
      title: HttpHousing
      type: string
      enum:
        - RENTING
        - OWNER
        - OTHER
    HttpLanguage:
      title: HttpLanguage
      type: string
      enum:
        - de
        - en
    HttpRegistrationInfoV2:
      title: HttpRegistrationInfoV2
      oneOf:
        - $ref: '#/components/schemas/Freelancer'
        - $ref: '#/components/schemas/GeneralPartnership'
        - $ref: '#/components/schemas/LimitedPartnership'
        - $ref: '#/components/schemas/Partnership'
        - $ref: '#/components/schemas/RegisteredMerchant'
        - $ref: '#/components/schemas/SmallBusiness'
        - $ref: '#/components/schemas/UnregisteredCivilLawPartnership'
      discriminator:
        propertyName: businessType
        mapping:
          FREELANCER:
            $ref: '#/components/schemas/Freelancer'
          GENERAL_PARTNERSHIP:
            $ref: '#/components/schemas/GeneralPartnership'
          LIMITED_PARTNERSHIP:
            $ref: '#/components/schemas/LimitedPartnership'
          PARTNERSHIP:
            $ref: '#/components/schemas/Partnership'
          REGISTERED_MERCHANT:
            $ref: '#/components/schemas/RegisteredMerchant'
          SMALL_BUSINESS:
            $ref: '#/components/schemas/SmallBusiness'
          UNREGISTERED_CIVIL_LAW_PARTNERSHIP:
            $ref: '#/components/schemas/UnregisteredCivilLawPartnership'
    CompletedOnboardingInformation2:
      title: CompletedOnboardingInformation
      type: object
      required:
        - creditAssessment
        - engagementId
      properties:
        creditAssessment:
          $ref: '#/components/schemas/HttpCreditAssessment'
        engagementId:
          type: string
          format: uuid
    CreditInformation2:
      title: CreditInformation
      type: object
      required:
        - creditAssessment
      properties:
        creditAssessment:
          $ref: '#/components/schemas/HttpCreditAssessment'
    FailureInformation2:
      title: FailureInformation
      type: object
      required:
        - failureCode
      properties:
        failureCode:
          $ref: '#/components/schemas/HttpFailureCode'
    RejectInformation2:
      title: RejectInformation
      type: object
      required:
        - rejectReason
      properties:
        rejectReason:
          $ref: '#/components/schemas/HttpRejectReason'
    SigningInformation2:
      title: SigningInformation
      type: object
      required:
        - signingUrl
      properties:
        signingUrl:
          examples:
            - https://example.com
          type: string
    CompletedOnboardingInformation3:
      title: CompletedOnboardingInformation
      type: object
      required:
        - creditAssessment
        - verifiedCompany
        - engagementId
      properties:
        creditAssessment:
          $ref: '#/components/schemas/HttpCreditAssessment'
        verifiedCompany:
          $ref: '#/components/schemas/HttpVerifiedCompanyV2'
        engagementId:
          type: string
          format: uuid
    CreditInformation3:
      title: CreditInformation
      type: object
      required:
        - creditAssessment
        - verifiedCompany
      properties:
        creditAssessment:
          $ref: '#/components/schemas/HttpCreditAssessment'
        verifiedCompany:
          $ref: '#/components/schemas/HttpVerifiedCompanyV2'
    FailureInformation3:
      title: FailureInformation
      type: object
      required:
        - failureCode
      properties:
        failureCode:
          $ref: '#/components/schemas/HttpFailureCode'
    RejectInformation3:
      title: RejectInformation
      type: object
      required:
        - rejectReason
      properties:
        rejectReason:
          $ref: '#/components/schemas/HttpRejectReason'
    SigningInformation3:
      title: SigningInformation
      type: object
      required:
        - signingUrl
        - verifiedCompany
      properties:
        signingUrl:
          examples:
            - https://example.com
          type: string
        verifiedCompany:
          $ref: '#/components/schemas/HttpVerifiedCompanyV2'
    HttpCorporateCompanyType:
      title: HttpCorporateCompanyType
      description: Corporate company type
      type: string
      enum:
        - ENTREPRENEURIAL_COMPANY
        - LIMITED_COMPANY
        - STOCK_CORPORATION
        - EUROPEAN_COMPANY
        - COOPERATIVE
        - PARTNERSHIP_LIMITED_BY_SHARES
        - CORPORATE_LIMITED_PARTNERSHIP
    FailureInformation4:
      title: FailureInformation
      type: object
      required:
        - failureCode
      properties:
        failureCode:
          $ref: '#/components/schemas/HttpSupplementaryFailureCode'
    RejectInformation4:
      title: RejectInformation
      type: object
      required:
        - rejectReason
      properties:
        rejectReason:
          $ref: '#/components/schemas/HttpSupplementaryRejectReason'
    SigningInformation4:
      title: SigningInformation
      type: object
      required:
        - signingUrl
      properties:
        signingUrl:
          examples:
            - https://example.com
          type: string
    HttpCreditAssessment:
      title: HttpCreditAssessment
      type: object
      required:
        - approvedLimit
        - approvedAt
        - validUntil
      properties:
        approvedLimit:
          description: Money object represented in the smallest currency unit
          type: object
          required:
            - amount
            - currency
            - unit
          properties:
            amount:
              type: integer
              format: int64
            currency:
              type: string
            unit:
              type: string
        approvedAt:
          type: string
          format: date-time
        validUntil:
          type: string
          format: date-time
    HttpVerifiedCompanyV2:
      title: HttpVerifiedCompanyV2
      type: object
      required:
        - name
        - city
        - registrationDate
        - registrationInfo
      properties:
        name:
          type: string
        city:
          type: string
        registrationDate:
          description: ISO 8601 (YYYY-MM-DD)
          type: string
        registrationInfo:
          $ref: '#/components/schemas/RegistrationInfo'
        companyAddress:
          $ref: '#/components/schemas/HttpAddress'
    HttpFailureCode:
      title: HttpFailureCode
      type: string
      enum:
        - INTERNAL_ERROR
        - ADDRESS_MISMATCH
        - NAME_MISMATCH
        - ID_VERIFICATION_FAILED
        - TIMEOUT
    HttpRejectReason:
      title: HttpRejectReason
      type: string
      enum:
        - KYC_DENIAL
        - KYB_DENIAL
        - CREDIT_SCORING_DENIAL
        - UNAUTHORIZED_SIGNATORY
        - INVALID_DOCUMENTS
    Freelancer:
      title: Freelancer
      type: object
      required:
        - taxNumber
        - registrationDate
        - mainActivity
        - countryCode
        - businessType
      properties:
        taxNumber:
          type: string
        registrationDate:
          description: ISO 8601 (YYYY-MM-DD)
          type: string
        mainActivity:
          $ref: '#/components/schemas/HttpBusinessActivity'
        countryCode:
          $ref: '#/components/schemas/HttpOnboardingCountryCode'
        businessType:
          type: string
          const: FREELANCER
    GeneralPartnership:
      title: GeneralPartnership
      type: object
      required:
        - registrationNumber
        - countryCode
        - businessType
      properties:
        registrationNumber:
          type: string
        countryCode:
          $ref: '#/components/schemas/HttpOnboardingCountryCode'
        businessType:
          type: string
          const: GENERAL_PARTNERSHIP
    LimitedPartnership:
      title: LimitedPartnership
      type: object
      required:
        - registrationNumber
        - countryCode
        - businessType
      properties:
        registrationNumber:
          type: string
        countryCode:
          $ref: '#/components/schemas/HttpOnboardingCountryCode'
        businessType:
          type: string
          const: LIMITED_PARTNERSHIP
    Partnership:
      title: Partnership
      type: object
      required:
        - registrationNumber
        - countryCode
        - businessType
      properties:
        registrationNumber:
          type: string
        countryCode:
          $ref: '#/components/schemas/HttpOnboardingCountryCode'
        businessType:
          type: string
          const: PARTNERSHIP
    RegisteredMerchant:
      title: RegisteredMerchant
      type: object
      required:
        - registrationNumber
        - countryCode
        - businessType
      properties:
        registrationNumber:
          type: string
        countryCode:
          $ref: '#/components/schemas/HttpOnboardingCountryCode'
        businessType:
          type: string
          const: REGISTERED_MERCHANT
    SmallBusiness:
      title: SmallBusiness
      type: object
      required:
        - taxNumber
        - registrationDate
        - mainActivity
        - countryCode
        - businessType
      properties:
        taxNumber:
          type: string
        registrationDate:
          description: ISO 8601 (YYYY-MM-DD)
          type: string
        mainActivity:
          $ref: '#/components/schemas/HttpBusinessActivity'
        countryCode:
          $ref: '#/components/schemas/HttpOnboardingCountryCode'
        businessType:
          type: string
          const: SMALL_BUSINESS
    UnregisteredCivilLawPartnership:
      title: UnregisteredCivilLawPartnership
      type: object
      required:
        - taxNumber
        - registrationDate
        - mainActivity
        - countryCode
        - businessType
      properties:
        taxNumber:
          type: string
        registrationDate:
          description: ISO 8601 (YYYY-MM-DD)
          type: string
        mainActivity:
          $ref: '#/components/schemas/HttpBusinessActivity'
        coSigner:
          $ref: '#/components/schemas/HttpCoSigner'
        countryCode:
          $ref: '#/components/schemas/HttpOnboardingCountryCode'
        businessType:
          type: string
          const: UNREGISTERED_CIVIL_LAW_PARTNERSHIP
    HttpSupplementaryFailureCode:
      title: HttpSupplementaryFailureCode
      type: string
      enum:
        - INTERNAL_ERROR
    HttpSupplementaryRejectReason:
      title: HttpSupplementaryRejectReason
      type: string
      enum:
        - KYC_DENIAL
    RegistrationInfo:
      title: RegistrationInfo
      oneOf:
        - $ref: '#/components/schemas/Finanzamt'
        - $ref: '#/components/schemas/Genossenschaftsregister'
        - $ref: '#/components/schemas/Handelsregister'
        - $ref: '#/components/schemas/Partnerschaftsregister'
      discriminator:
        propertyName: registrationAuthority
        mapping:
          FINANZAMT:
            $ref: '#/components/schemas/Finanzamt'
          GENOSSENSCHAFTSREGISTER:
            $ref: '#/components/schemas/Genossenschaftsregister'
          HANDELSREGISTER:
            $ref: '#/components/schemas/Handelsregister'
          PARTNERSCHAFTSREGISTER:
            $ref: '#/components/schemas/Partnerschaftsregister'
    HttpBusinessActivity:
      title: HttpBusinessActivity
      type: object
      required:
        - code
        - classification
      properties:
        code:
          description: Nace 2.1 section code
          type: string
          enum:
            - A
            - B
            - C
            - D
            - E
            - F
            - G
            - H
            - I
            - J
            - K
            - L
            - M
            - 'N'
            - O
            - P
            - Q
            - R
            - S
            - T
            - U
            - V
        classification:
          $ref: '#/components/schemas/NACE_REV_2_1'
    HttpOnboardingCountryCode:
      title: HttpOnboardingCountryCode
      type: string
      enum:
        - DE
    HttpCoSigner:
      title: HttpCoSigner
      type: object
      required:
        - firstName
        - lastName
        - dateOfBirth
      properties:
        firstName:
          type: string
        lastName:
          type: string
        dateOfBirth:
          description: Date of birth (ISO 8601 YYYY-MM-DD)
          type: string
    Finanzamt:
      title: Finanzamt
      type: object
      required:
        - taxNumber
        - registrationAuthority
      properties:
        taxNumber:
          type: string
        registrationAuthority:
          type: string
          const: FINANZAMT
    Genossenschaftsregister:
      title: Genossenschaftsregister
      type: object
      required:
        - registrationNumber
        - registrationAuthority
      properties:
        registrationNumber:
          type: string
        registrationAuthority:
          type: string
          const: GENOSSENSCHAFTSREGISTER
    Handelsregister:
      title: Handelsregister
      type: object
      required:
        - registrationNumber
        - registrationAuthority
      properties:
        registrationNumber:
          type: string
        registrationAuthority:
          type: string
          const: HANDELSREGISTER
    Partnerschaftsregister:
      title: Partnerschaftsregister
      type: object
      required:
        - registrationNumber
        - registrationAuthority
      properties:
        registrationNumber:
          type: string
        registrationAuthority:
          type: string
          const: PARTNERSCHAFTSREGISTER
    NACE_REV_2_1:
      title: NACE_REV_2_1
      type: string
      enum:
        - NACE_REV_2_1
  securitySchemes:
    httpAuth:
      type: http
      scheme: basic

````